//v-selector-focus
import {hasClass} from "../utils/tools";
export default {
    mounted(el) {
        const oSelectorInput = el.querySelector('.li-selector-input');
        const oPlaceholder = oSelectorInput.querySelector('.input-placeholder'),
              oInput = oSelectorInput.querySelector('.input'),
              oIcon = oSelectorInput.querySelector('.selector-icon')
        const oSelectorMenu = el.querySelector('.selector-menu')
        oInput.addEventListener('focus',() => {
            oIcon.className = 'selector-icon icon-search'
            oSelectorMenu.style.display = 'block'
            oInput.addEventListener('input',(e) => {
                if (oInput.value.length > 0) {
                    oPlaceholder.style.display = 'none'
                }else {
                    oPlaceholder.style.display = 'block'
                }
            },false)
        },false)
        oInput.addEventListener('blur',function () {
            oIcon.className = 'selector-icon icon-more'
            setTimeout(()=> {
                if (this.value.length === 0) {
                    oPlaceholder.style.display = 'block'
                }else {
                    oPlaceholder.style.display = 'none'
                }
                oSelectorMenu.style.display = 'none'
            },200)
        },false)
        oIcon.addEventListener('click',function () {
            if (hasClass(oIcon,'icon-more')) {
                oIcon.className = 'selector-icon icon-search'
                oSelectorMenu.style.display = 'block'
                oInput.focus()
            }
        })
    }
}