import LiCarousel from "./carousel/LiCarousel";
import CarItem from "./carousel/CarItem"
import liImg from "./carousel/liImg";
import LiMagnifying from "./magnifying/LiMagnifying"
import DMagnifying from "./magnifying/DMagnifying";
import LiSelector from "./selector/LiSelector"
import LiSpin from "./spin/LiSpin"
import LiBackTop from "./backTop/LiBackTop"
import LiButton from "./button/LiButton"
import LiMenu from "./menu/LiMenu";
import LiMenuSub from "./menu/LiMenuSub";
import LiMenuItem from "./menu/LiMenuItem";
import LiCode from "./codeShow/LiCode";
import LiTable from "./table/LiTable";


import LiTools from "./utils/tools"
const LiUI = {};

LiUI.install = function (vue) {
    //carousel
    vue.component(LiCarousel.name,LiCarousel)
    vue.component(CarItem.name,CarItem)
    vue.component(liImg.name,liImg)
    //magnify
    vue.component(LiMagnifying.name,LiMagnifying)
    //magnify-directive
    vue.component(DMagnifying.name,DMagnifying)
    //selector
    vue.component(LiSelector.name,LiSelector)
    //spin
    vue.component(LiSpin.name,LiSpin)
    //backTop
    vue.component(LiBackTop.name,LiBackTop)
    //button
    vue.component(LiButton.name,LiButton)
    //menu
    vue.component(LiMenu.name,LiMenu)
    vue.component(LiMenuSub.name,LiMenuSub)
    vue.component(LiMenuItem.name,LiMenuItem)
    //codeShow
    vue.component(LiCode.name,LiCode)
    //table
    vue.component(LiTable.name,LiTable)


    vue.config.globalProperties.LiTools = LiTools
}

export default LiUI;